Skip to main content
PUT
Update log-forwarding configuration

Authorizations

AccessKey
string
header
required

Please enter a valid personal API key.

Path Parameters

appId
string
required

App ID for log forwarding configuration.

Body

application/json
app
string
required

App unique identifier

type
enum<string>
required

Log endpoint type

Available options:
SyslogUdp,
SyslogTcp
endpoint
string
required

Log destination endpoint

port
integer
required

Log destination port

format
enum<string>
required

Which Syslog RFC will be used

Available options:
SyslogRfc3164,
SyslogRfc5424
enabled
boolean
required

Whether forwarding is enabled

token
string

Token passed as field of syslog

Response

Log-forwarding configuration updated successfully.

id
string

Unique identifier

app
string

App unique identifier

productId
string

Product unique identifier

type
enum<string>

Log endpoint type

Available options:
SyslogUdp,
SyslogTcp
endpoint
string

Log destination endpoint

port
integer

Log destination port

createdAt
string<date-time>

When the configuration was created

token
string

Token passed as field of syslog

format
enum<string>

Which Syslog RFC will be used

Available options:
SyslogRfc3164,
SyslogRfc5424
enabled
boolean

Whether forwarding is enabled

Last modified on July 13, 2026